﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
'#Region Shared Files

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private txtField As B4XFloatTextField
	Private FileHandler1 As FileHandler
	Private toast As BCToast
	Public chainetexte, varchaine, line, SecCol, IDchaine As String
	Public IDfiltre() As Byte 
	Public qindx As Int
	#if B4A
	Private ime As IME 'ignore
	#end if
	Private Label1, Label2, Label3, Label4, label5, label6, label7, label8, labelCSV As Label
	Private increm As Int
	Private stringList, mylist1, listcol2 As List
	Private CLV As CustomListView	
	Type tListItem(Eintrag1 As String, Eintrag2 As String)
	Private mystring(2048) As String	
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	B4XPages.SetTitle(Me, "Text Editor")
	FileHandler1.Initialize
	toast.Initialize(Root)
	stringList.Initialize
	mylist1.Initialize
	listcol2.initialize
End Sub

Private Sub HandleLoadResult(Result As LoadResult)
	If Result.Success Then
		Try
			Dim Reader As TextReader
			Reader.Initialize(File.OpenInput(Result.Dir, Result.FileName))
'			 Dim line As String
			line = Reader.ReadLine
'			stringList.Add(line)
			Do While line <> Null
				line = Reader.ReadLine
				stringList.Add(line)
				increm = increm +1		' nombre lignes dans le CSV
			Loop
			Reader.Close
	'		chainetexte = File.ReadString(Result.Dir, Result.FileName)
			toast.Show($"File '${Result.RealName}' loaded"$)
		Catch
			chainetexte = "Error loading file"
			'Log(LastException)
		End Try
	End If
'	LoadGTR2
	txtField.Text = chainetexte	
End Sub

#if B4A
Private Sub IME_HeightChanged (NewHeight As Int, OldHeight As Int)
	txtField.mBase.Height = NewHeight
	txtField.TextField.Height = NewHeight
End Sub

#else if B4i
Private Sub HideKeyboard
	B4XPages.GetNativeParent(Me).ResignFocus
End Sub

Private Sub B4XPage_KeyboardStateChanged (KeyboardHeight As Float)
	txtField.mBase.Height = Root.Height - KeyboardHeight
	txtField.TextField.Height = txtField.mBase.Height
End Sub

Public Sub OpenUrl(url As String)
	If url.StartsWith("file://") Then
		Dim f As String = url.SubString(7) 'remove the file:// scheme.
		Dim res As LoadResult = FileHandler1.UrlToLoadResult(f)
		HandleLoadResult(res)
	End If
End Sub
#end if

Private Sub Button1_Click
	If stringList.Get(0) <> Null Then
		labelCSV.Text = stringList.Get(0)
		varchaine = stringList.Get(0)
'		Label3.Text = ""&varchaine.SubString2(4,6) '&k
		
		Sleep(0)
		stringList.RemoveAt(0)
	Else
		Return
	End If
	'	For i = 0 To mystring.Length -1
	'		mylist1.Add(mystring(0))
	'		Log (mylist1)
	'	Next

	Label1.Text = increm	
	mystring = Regex.Split(",", stringList.Get(0))
	Label2.Text = mystring(1)
End Sub

Private Sub Button2_Click	
	increm = 0 'cmprstring = ""
	Label1.text = increm
	qindx = 0
	Label3.Text = qindx
End Sub

Private Sub BtnSave_Click
		#if B4A
	txtField.textfield.enabled = True
	Dim b() As Byte = txtField.Text.GetBytes("UTF8")
	Dim in As InputStream
	in.InitializeFromBytesArray(b, 0, b.Length)
	Wait For (FileHandler1.SaveAs(in, "text/plain", "NewFile.txt")) Complete (Success As Boolean)
	#else if B4i
	Wait For (FileHandler1.SaveAs(Me, B4XPages.GetNativeParent(Me).TopRightButtons.Get(0), txtField.Text)) Complete (Success As Boolean)
	#end if
	If Success Then
		toast.Show("File saved successfully")
	Else
		toast.Show("File not saved")
	End If
End Sub

Private Sub BtnLoad_Click	
	#if B4A
	Wait For (FileHandler1.Load) Complete (Result As LoadResult)
	#else if B4i
	Wait For (FileHandler1.Load(Me, B4XPages.GetNativeParent(Me).TopRightButtons.Get(1))) Complete (Result As LoadResult)
	#end if
	'txtField.textfield.enabled = True
	HandleLoadResult(Result)
End Sub

private Sub Button3_Click
	Dim viewchaine As String
		
	qindx = qindx +1
	Label3.Text = qindx
	
		If stringList.Get(0) <> Null Then
		SecCol = stringList.Get(0)
		IDchaine = ""&SecCol.SubString2(4,6)
		listcol2.Add(SecCol)
		End If		

		label8.Text = IDchaine
		viewchaine = listcol2.get(qindx)
		Log (viewchaine)
	label8.Text = (viewchaine)	
	
	End Sub	
	
Sub CLV_ItemLongClick (Index As Int, Value As Object)
	CLV.RemoveAt(Index)
	Log (CLV)
	ToastMessageShow("Removed: " & Value, True)
End Sub
